<?php

/*************************************************************************
 * Who Read This Thread - XenConcept (c) 2017
 * All Rights Reserved.
 **************************************************************************
 * This file is subject to the terms and conditions defined in the Licence
 * Agreement available at Try it like it buy it :)
 *************************************************************************/

namespace XenConcept\WhoReadThisThread;

use XF\AddOn\AbstractSetup;

class Setup extends AbstractSetup
{

    public function install(array $stepParams = [])
    {
        $this->createWidget('xc_who_read_this_thread_thread_view',
            'xc_who_read_this_thread', [
                'positions' => [

                    'xc_thread_view_top' => 1
                ]
            ]);

        $this->createWidget('xc_who_read_this_thread_online_readers',
            'xc_who_read_this_thread_o',
            [
                'positions' => [
                    'thread_view_sidebar' => 1
                ]
            ]);
    }

    public function upgrade(array $stepParams = [])
    {
        // TODO: Implement upgrade() method.
    }

    public function uninstall(array $stepParams = [])
    {
        $this->deleteWidget('xc_who_read_this_thread_thread_view');
        $this->deleteWidget('xc_who_read_this_thread_online_readers');
    }

}