<?php

/*************************************************************************
 * Who Read This Thread - XenConcept (c) 2017
 * All Rights Reserved.
 **************************************************************************
 * This file is subject to the terms and conditions defined in the Licence
 * Agreement available at Try it like it buy it :)
 *************************************************************************/

namespace XenConcept\WhoReadThisThread\XF\Entity;

class Thread extends XFCP_Thread
{

    public function canViewThreadReaders()
    {
        $visitor = \XF::visitor();

        if (!$visitor->user_id)
        {
            return false;
        }

        if ($visitor->user_id === $this->user_id)
        {
            return $visitor->hasPermission('xc_who_read_this_thread', 'viewReadersOwnThreads');
        }

        return $visitor->hasPermission('xc_who_read_this_thread', 'viewReadersAnyThreads');
    }

    public function canViewThreadOnlineReaders()
    {
        $visitor = \XF::visitor();

        if (!$visitor->user_id)
        {
            return false;
        }

        if ($visitor->user_id === $this->user_id)
        {
            return $visitor->hasPermission('xc_who_read_this_thread', 'viewOnliReadersOwnThreads');
        }

        return $visitor->hasPermission('xc_who_read_this_thread', 'viewOnliReadersAnyThreads');
    }

}